### Hierarchy

- Network
  - DynamicUnicastNetwork

## Index

### Constructors

- constructor

### Properties

- destinations
- socket
- unicast
- defaultMaxListeners

### Methods

- add
- addListener
- bonded
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- on
- once
- prepareMessage
- prependListener
- prependOnceListener
- remove
- removeAllListeners
- removeListener
- send
- sendTo
- sendToDest
- setMaxListeners
- start
- stop
- listenerCount

## Constructors

### constructor

- new DynamicUnicastNetwork(options: NetworkOptions, unicastAddresses?: string | string[]): DynamicUnicastNetwork

- Overrides Network.constructor

  - Defined in network.ts:367

  #### Parameters

  - ##### options: NetworkOptions

  - ##### Optional unicastAddresses: string | string[]

  #### Returns DynamicUnicastNetwork

## Properties

### Protected destinations

destinations: Set<string> = new Set<string>()

Inherited from Network.destinations

- Defined in network.ts:26

### Protected socket

socket: Socket | null = null

Inherited from Network.socket

- Defined in network.ts:25

### Private unicast

unicast: string[]

- Defined in network.ts:367

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:780

## Methods

### add

- add(address: string): void

- - Defined in network.ts:382

  #### Parameters

  - ##### address: string

  #### Returns void

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:782

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### Protected bonded

- bonded(address: string): void

- Overrides Network.bonded

  - Defined in network.ts:400

  #### Parameters

  - ##### address: string

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:792

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:793

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:790

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:794

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:791

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:783

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:784

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### Protected prepareMessage

- prepareMessage(event: string, maxRetries: number, requireAck: false | function, ...data: any[]): Promise<[Buffer[], null | Promise<void>]>

- Inherited from Network.prepareMessage

  - Defined in network.ts:109

  #### Parameters

  - ##### event: string

  - ##### maxRetries: number

  - ##### requireAck: false | function

  - ##### Rest ...data: any[]

  #### Returns Promise<[Buffer[], null | Promise<void>]>

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:785

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:786

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### remove

- remove(address: string): void

- - Defined in network.ts:386

  #### Parameters

  - ##### address: string

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:788

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:787

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### send

- send(event: string, ...data: any[]): Promise<void>

- Inherited from Network.send

  - Defined in network.ts:84

  #### Parameters

  - ##### event: string

  - ##### Rest ...data: any[]

  #### Returns Promise<void>

### sendTo

- sendTo(destination: string, port: number, event: string, maxRetries: number, ...data: any[]): Promise<void>

- - Defined in network.ts:390

  #### Parameters

  - ##### destination: string

  - ##### port: number

  - ##### event: string

  - ##### maxRetries: number

  - ##### Rest ...data: any[]

  #### Returns Promise<void>

### Protected sendToDest

- sendToDest(destination: string, messages: Buffer[], port?: number): Promise<void>

- Inherited from Network.sendToDest

  - Defined in network.ts:93

  #### Parameters

  - ##### destination: string

  - ##### messages: Buffer[]

  - ##### Optional port: number

  #### Returns Promise<void>

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:789

  #### Parameters

  - ##### n: number

  #### Returns this

### start

- start(): Promise<void>

- Inherited from Network.start

  - Defined in network.ts:45

  #### Returns Promise<void>

### stop

- stop(): void

- Inherited from Network.stop

  - Defined in network.ts:79

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:779

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc